# Compiling Zandronum with Docker

This Dockerfile builds a compiling agent for Zandronum utilizing Debian. This creates the needed files for running the ``zandronum-server`` Linux server including the ``*.pk3`` files.

## What is this doing?

This Docker container pulls down the latest source code of Zandronum into a docker container and allows a user to compile it within the container for use on a Linux operating system. 

## TODO

* Add cross compilation support once I can confirm that Zandronum does infact offer it in it's build files.
* Cleanup Dockerfile a bit more
* Write better README.md

## How to use this 

Clone and build this image locally

```
git clone https://github.com/cfultz/doom-docker-zandronum-compiler
cd doom-docker-zandronum-compiler
docker build -t zandronum-build .
```

Once the container is built, run a docker run and point it to a local directory to dump the files to:
```
docker run -i -t -v ~/zandronum-server:/root/complete zandronum-compiler
```

This will place the files in ``zandronum-server`` for use. You will need to own them as a local user to run them as they will be output with ``root`` ownership.


